Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.AsyncClient.Factory

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.AsyncClient.Factory

All Implemented Interfaces:
  org.apache.thrift.async.TAsyncClientFactory<Cassandra.AsyncClient>

Enclosing class:
  Cassandra.AsyncClient

    public static class Cassandra.AsyncClient.Factory

extends java.lang.Object
implements org.apache.thrift.async.TAsyncClientFactory<Cassandra.AsyncClient>

Constructor Summary
`Cassandra.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.protocol.TProtocolFactory protocolFactory)`

Method Summary
`Cassandra.AsyncClient` | `getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra.AsyncClient.Factory

    public Cassandra.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager,
                                         org.apache.thrift.protocol.TProtocolFactory protocolFactory)

Method Detail

### getAsyncClient

    public Cassandra.AsyncClient getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)

  Specified by:
    `getAsyncClient` in interface `org.apache.thrift.async.TAsyncClientFactory<Cassandra.AsyncClient>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation